import httpRequest from '@/utils/axios'
import type { JudgeCreateParams, JudgeUpdateParams } from './types'

// 获取评分专家列表
export function getJudgeList(params?: { name?: string; page?: number; 'per-page'?: number }) {
  return httpRequest.get('/api/resource/v1/backend/expert/list', { params })
}

// 获取评分专家详情
export function getJudge(params: { id: string }) {
  return httpRequest.get('/api/resource/v1/backend/expert/detail', { params })
}

// 创建评分专家
export function createJudge(data: JudgeCreateParams) {
  return httpRequest.post('/api/resource/v1/backend/expert/create', data)
}

// 修改评分专家
export function updateJudge(data: JudgeUpdateParams) {
  return httpRequest.post('/api/resource/v1/backend/expert/update', data)
}

// 修改评分专家
export function importJudge(data: { file: File }) {
  return httpRequest.post('/api/resource/v1/backend/expert/import-exports', data, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}

// 获取评分专家赛项列表
export function getJudgeContestList(params: { id: string }) {
  return httpRequest.get('/api/resource/v1/backend/expert/competitions', { params })
}
